#ifndef BLE_H
#define BLE_H

#include <Arduino.h>
#include <BLEDevice.h>
#include <BLEServer.h>
#include <BLEUtils.h>
#include <BLE2902.h>
#include <transmit.h>
#include "consts.h"

class BLEManager
{
public:
  static bool deviceConnected;
  static BLEServer *pServer;
  static BLECharacteristic *pTxCharacteristic;

  static void init(String deviceName);
};

#endif
